import mysql.simplesql as sql


def insertAgent(agent):
    yield sql.Insert(table='agent', values={
        'code': agent.get('code', None),
        'name': agent.get('name', None),
        'phone': agent.get('phone', None),
        'inn': agent.get('inn', None),
        'address': agent.get('address', None)
    })


def clearAgent():
    yield sql.DeleteAll(table='agent')


def deleteAgent(agent):
    code = agent.get('code', None)
    if code:
        yield sql.Delete(table='agent', whereFields=['code'], whereValues=[code])


def deleteAgentByCode(code):
    yield sql.Delete(table='agent', whereFields=['code'], whereValues=[code])
