import mysql.simplesql as sql

tables = ['consultant']


def insertConsultant(consultant):
    yield sql.Insert(table='consultant', values={
        'code': consultant.get('code', None),
        'password': consultant.get('password', None),
        'name': consultant.get('name', None)
    })


def deleteConsultant(consultant):
    for i in deleteConsultantByCode(consultant.get('code', None)):
        yield i


def deleteConsultantByCode(code):
    yield sql.Delete(table='consultant', whereFields=['code'], whereValues=[code])


def clearConsultant():
    yield sql.DeleteAll(table='consultant')
